Loading...
Searching...
No Matches
casacore::StatisticsDataset< AccumType, DataIterator, MaskIterator, WeightsIterator >::ChunkData Struct Reference

holds information about a data chunk. More...

`#include <StatisticsDataset.h>`

## Public Attributes

DataIterator | data
| start of data
uInt64 | count
| total number of points
uInt | dataStride
| data stride
std::unique_ptr< std::pair< DataRanges, Bool > > | ranges
| associated ranges.
std::unique_ptr< std::pair< MaskIterator, uInt > > | mask
| associated mask.
std::unique_ptr< WeightsIterator > | weights
| associated weights.

## Detailed Description

template<class AccumType, class DataIterator, class MaskIterator = const Bool *, class WeightsIterator = DataIterator>
struct casacore::StatisticsDataset< AccumType, DataIterator, MaskIterator, WeightsIterator >::ChunkData

holds information about a data chunk.

A data chunk is either an individual underlying dataset (if no data provider), or a chunk of data served by the data provider if it exists.

Definition at line 60 of file StatisticsDataset.h.

## Member Data Documentation

## count

template<class AccumType, class DataIterator, class MaskIterator = const Bool *, class WeightsIterator = DataIterator>

uInt64 casacore::StatisticsDataset< AccumType, DataIterator, MaskIterator, WeightsIterator >::ChunkData::count

total number of points

Definition at line 64 of file StatisticsDataset.h.

## data

template<class AccumType, class DataIterator, class MaskIterator = const Bool *, class WeightsIterator = DataIterator>

DataIterator casacore::StatisticsDataset< AccumType, DataIterator, MaskIterator, WeightsIterator >::ChunkData::data

start of data

Definition at line 62 of file StatisticsDataset.h.

## dataStride

template<class AccumType, class DataIterator, class MaskIterator = const Bool *, class WeightsIterator = DataIterator>

uInt casacore::StatisticsDataset< AccumType, DataIterator, MaskIterator, WeightsIterator >::ChunkData::dataStride

data stride

Definition at line 66 of file StatisticsDataset.h.

## mask

template<class AccumType, class DataIterator, class MaskIterator = const Bool *, class WeightsIterator = DataIterator>

std::unique_ptr<std::pair<MaskIterator, uInt> > casacore::StatisticsDataset< AccumType, DataIterator, MaskIterator, WeightsIterator >::ChunkData::mask

associated mask.

If nullptr, then there is no mask. If there is a mask, the second member is the mask stride.

Definition at line 72 of file StatisticsDataset.h.

## ranges

template<class AccumType, class DataIterator, class MaskIterator = const Bool *, class WeightsIterator = DataIterator>

std::unique_ptr<std::pair<DataRanges, Bool> > casacore::StatisticsDataset< AccumType, DataIterator, MaskIterator, WeightsIterator >::ChunkData::ranges

associated ranges.

If nullptr, then there are none. If not, the second member of the pair indicates if they are include ranges.

Definition at line 69 of file StatisticsDataset.h.

## weights

template<class AccumType, class DataIterator, class MaskIterator = const Bool *, class WeightsIterator = DataIterator>

std::unique_ptr<WeightsIterator> casacore::StatisticsDataset< AccumType, DataIterator, MaskIterator, WeightsIterator >::ChunkData::weights

associated weights.

If nullptr, then there are no weights.

Definition at line 74 of file StatisticsDataset.h.

The documentation for this struct was generated from the following file:

- scimath/StatsFramework/StatisticsDataset.h